Skip to main content

Create Pharmacy Inventory

The "create inventory" API facilitates the addition of stock to specific Pharmacy facilities.

Pharmacy Inventory​

curl --location 'https://demo.hng.one/developerapi/pharmacy/create-inventory' \
--header 'Authorization: Bearer <<JWT_TOKEN>>' \
--header 'Content-Type: application/json' \
--data-raw '[{
"clientId":"qwer-iuhjkjhv-oijhgfcv"
"facilityInfo": {
"facilityId": "123",
"facilityName": "Delhi MMU"
},
"indentInfo": {
"indentId": "IND1234",
"indentName": "INDENT001"
},
"itemInfo": [{
"itemUID": "ITEM0001",
"itemName": "Levocetrizine syrup",
"itemType": "Syrup",
"units": "ml",
"quantity": 10,
"batchNo": "TAB000001",
"batchExpiryDate": 1709899704000
},
{
"itemUID": "ITEM0002",
"itemName": "Cefixime 200 mg oral tablet",
"itemType": "Tablet",
"units": "no",
"quantity": 10,
"batchNo": "TAB000002",
"batchExpiryDate": 1709899704000
}]
}]'

API Fields Description​

Indent Info​

FieldDescriptionTypeRequired
indentNamename of the IndentStringYes
indentIdunique ID of the IndentStringYes

Facility Info​

FieldDescriptionTypeRequired
facilityIdunique ID of the FacilityStringYes
facilityNamename of the FacilityStringYes

Item Info​

FieldDescriptionTypeRequired
itemUIDunique ID of the ItemStringYes
itemNamename of the ItemStringYes
itemTypeTablet / Capsule / SyrupStringYes
unitsunits of the ItemStringYes
quantityno. of quantity adding to the stockNumberYes
batchNobatchno of the ItemStringYes
batchExpDateexpiry date in Epoch Format in secondsNumberYes